{% extends 'utilisateur.html' %}
{% load static %}

{% block title %}
    Gestion des utilisateurs
{% endblock %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/user-profiles-list-basic.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block footer_javascript %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>
    <script src="{% static 'utilisateur/js/userSearch.js' %}?v=1"></script>
    <script>
        $('[data-toggle=confirmation]').confirmation({
            rootSelector: '[data-toggle=confirmation]'
        });
        $('.switch').click(function () {
            $(this).find('i').toggleClass("fa-angle-right fa-angle-down");
        });
        $('#searchbar').on('input', (e) => {
            search(e.target.value.toLowerCase())
        });
    </script>
{% endblock %}

{% block content %}
    <header>
        <h1>Gestion des utilisateurs</h1>
        <div class="header-content">
            <p>
                Sur cette page, vous pouvez gérer les utilisateurs du site.
                Dans la catégorie <b>"Utilisateurs à
                valider"</b>
                apparaissent les utilisateurs inscrits non-validés par le
                bureau. Pour modifier les informations d'un
                utilisateur, appuyez sur sa carte. Pour le supprimer, appuyer
                sur la croix rouge. Attention, cette
                opération est irréversible!
            </p>
            <button type="button" id="user-list-btn" class="btn btn-primary btn-xs"
                onclick="location.href='{% url 'download_user_list' %}'">
                Télécharger la liste des utilisateurs
            </button>
        </div>
    </header>
    <div class="card">
        <div class="card-body">
            <input id="searchbar" name="searchbar" class="form-control"
                   type="text" placeholder="Rechercher un utilisateur..."/>
            <ul id="searchbar-results" class="user-profiles-list-basic"></ul>

        </div>
    </div>
    {% regroup users by valide as status_list %}
    {% for status in status_list %}
        <div class="card">
            <div class="card-header">
                {% if status.grouper %}
                    <h3>Utilisateurs validés ({{ status.list|length }})</h3>
                {% else %}
                    <h3>Utilisateurs à valider ({{ status.list|length }})</h3>
                {% endif %}
            </div>
            <div class="card-body">
                {% regroup status.list by groups.first as groups_list %}
                {% for group in groups_list %}
                    <a class="switch" data-toggle="collapse" data-target="#{{ status.grouper }}{{ group.grouper.id }}">
                        <i class="fas {% if status.grouper %}fa-angle-right{% else %}fa-angle-down{% endif %}"></i>
                        {{ group.grouper }} ({{ group.list|length }})
                    </a>
                    <hr>
                    <div id="{{ status.grouper }}{{ group.grouper.id }}"
                         class="collapse {% if not status.grouper %}show{% endif %}">
                        <ul class="user-profiles-list-basic">
                            {% for user in group.list %}
                                <li class="user-card"
                                    {% if user.statutCotisation == "ATT" and status.grouper %}style="border-color:red"{% endif %}>

                                    <a href="{% url "photo_utilisateur" user.id %}"
                                       class="user-avatar">
                                        <img src="{% url "photo_utilisateur" user.id %}"
                                             width="80"
                                             alt="Profile picture"/>
                                    </a>

                                    <p>
                                        <a href="{% url 'admin_user' uuid=user.id %}"
                                           class="user-fullName">{{ user.nomComplet }}</a>
                                        <span>
                                            <strong class="user-username">{{ user.username }}</strong>
                                            <strong class="user-statutCA">
                                                {% if user.postesCA.all %}
                                                    · {% endif %}
                                                {% for p in user.postesCA.all %}
                                                    {{ p.statut }}
                                                            {% if not forloop.last %}
                                                                , {% endif %}
                                                {% endfor %}
                                            </strong>
                                        </span>
                                        <span>Vu le <i>{{ user.last_login }}</i></span>
                                        {% if status.grouper and user.statutCotisation == "ATT" %}
                                            <span style="color: red">Cotisation non-payée</span>
                                        {% endif %}
                                    </p>

                                    <a class="delete"
                                       data-toggle="confirmation"
                                       data-btn-ok-label="Oui!"
                                       data-btn-cancel-label="Nooooon"
                                       data-btn-cancel-class="btn-danger"
                                       data-title="Exécuter cette mwet?"
                                       href="{% url 'admin_delete_user' uuid=user.id %}"><i
                                            class="fas fa-times"></i></a>

                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endfor %}
            </div>
        </div>

    {% endfor %}
{% endblock %}